mutter crashed with SIGSEGV in g_type_check_instance()

Bug #641561 reported by Mario Limonciello on 2010-09-17
74
This bug affects 15 people
Affects Status Importance Assigned to Milestone
DBus Menu
Invalid
High
Unassigned
Unity
Fix Released
Medium
Neil J. Patel
mutter (Ubuntu)
Medium
Unassigned
unity (Ubuntu)
Medium
Neil J. Patel

Bug Description

Binary package hint: mutter

Crashed when I tried to close a terminal using the dbus menu item at the top of the screen

ProblemType: Crash
DistroRelease: Ubuntu 10.10
Package: mutter 2.31.5-0ubuntu7
ProcVersionSignature: Ubuntu 2.6.35-22.32-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic i686
Architecture: i386
Date: Fri Sep 17 15:04:34 2010
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-dell-maverick-une-20100917-0
ExecutablePath: /usr/bin/mutter
InstallationMedia: Ubuntu 10.10 "Maverick" - Build i386 LIVE Binary 20100917-01:44
ProcCmdline: mutter
ProcCwd: /home/test
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0x7db133 <g_type_check_instance+35>: mov (%eax),%edx
 PC (0x007db133) ok
 source "(%eax)" (0x00000001) not located in a known VMA region (needed readable region)!
 destination "%edx" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: mutter
StacktraceTop:
 g_type_check_instance () from /usr/lib/libgobject-2.0.so.0
 g_signal_handlers_disconnect_matched () from /usr/lib/libgobject-2.0.so.0
 gtk_accel_label_set_accel_closure () from /usr/lib/libgtk-x11-2.0.so.0
 gtk_accel_label_set_accel_widget () from /usr/lib/libgtk-x11-2.0.so.0
 ?? () from /usr/lib/libgtk-x11-2.0.so.0
Title: mutter crashed with SIGSEGV in g_type_check_instance()
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XsessionErrors:
 (bluetooth-applet:20994): Gtk-CRITICAL **: IA__gtk_widget_set_sensitive: assertion `GTK_IS_WIDGET (widget)' failed
 (polkit-gnome-authentication-agent-1:20997): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

Related branches

Mario Limonciello (superm1) wrote :

StacktraceTop:
 g_type_check_instance () from /usr/lib/libgobject-2.0.so.0
 g_signal_handlers_disconnect_matched ()
 IA__gtk_accel_label_set_accel_closure (
 IA__gtk_accel_label_set_accel_widget (
 gtk_accel_label_destroy (object=0x8f09288)

Changed in mutter (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
visibility: private → public
Hernando Torque (htorque) wrote :

Seeing this too, when rushing over opened menus (which causes higher CPU load) followed by clicking the close button.

Changed in mutter (Ubuntu):
status: New → Confirmed
Didier Roche (didrocks) on 2010-09-21
Changed in unity:
status: New → Triaged
Changed in unity (Ubuntu):
status: New → Triaged
Changed in unity:
importance: Undecided → Medium
Changed in unity (Ubuntu):
importance: Undecided → Medium
Changed in unity:
assignee: nobody → Neil J. Patel (njpatel)
milestone: none → 2010-09-22
Dmitry Shachnev (mitya57) wrote :

Thank you for reporting this bug and making Ubuntu better. However, this particular issue has already been reported in bug 618568.

Omer Akram (om26er) wrote :

the other bug was apparently marked fixed. on the other side this bug is assigned and milestoned so removing the duplicate flag

Neil J. Patel (njpatel) wrote :

Yes, the proper fix has gone in for this now in the three places it needed to, thanks!

Changed in unity:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (3.7 KiB)

This bug was fixed in the package unity - 0.2.42-0ubuntu1

---------------
unity (0.2.42-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - "Applications" and "Files & Folders" tooltips are not translatable
      (LP: #644215)
    - Fix inactive menus are accessible on switching to a window (LP: #604505)
    - Fix wrong launcher tile label/quicklist x position (LP: #631446)
    - Fix highlighted items in quicklist have different widths (LP: #643315)
    - In migration tool, being safe when people are using crazy caracters in
      desktop file (LP: #644114, #635156)
    - Detect if 3D acceleration support is provided. Otherwise, prompt for
      logout and change default session (LP: #614088)
    - Fix quicklist shows hidden menu items (LP: #641543)
    - Fix removing launchers via dnd fails (LP: #643434)
    - Better launcher auto-scroll performances (LP: #640560)
    - Make the insensitive state of the forward- and back-button more obvious by
      decreasing their opacity, thus users don't assume they are actually
      clickable. (LP: #638285)
    - Fix some dialogs aren't maximized but are undecorated (LP: #628822)
    - Fix some menus don't go away when window closes (LP: #640557)
    - Fixes bug where the wrong icon where at times associated with a tile in
      the places view. (LP: #642935)
    - Speedup icon loading (LP: #641246)
    - Make trash menu items in Unity are either not translatable or translations
      are not loaded (LP: #645038)
    - Fix using dnd on launcher makes focus not work out of the unity ui
      (LP: #637123)
    - Multi-monitor support (LP: #637123)
    - Enable/disable super key by a gconf key (LP: #632581)
    - Remove glow on fold (LP: #619344)
    - Ensure we dont map windows when expose is active (LP: #599766)
    - take new indicator API for action for top-level dropdown menu item not
      activated (LP: #637692)
    - Make the home buttons reactive (LP: #638857)
    - Add red tint when search fails (LP: #607821)
    - New (and final!) UI adjustement, but UNE isn't in the doc as seen with
      the doc team (LP: #627009)
    - Single-touches on the launcher are usually interpreted as a drag
      (LP: #641328)
    - URI activation in global view (LP: #612562)
    - Clicking a Place icon while viewing the same place in the Dash should
      return to the Home screen of that place and clear the search (LP: #607829)
    - Fix mutter crashed with SIGSEGV in g_type_check_instance() (LP: #641561)
    - Fix panel and menu item font colors don't match (LP: #637480)
    - Fix indicators have orange color (LP: #632975)
    - Fix inactive menus are accessible on switching to a window (LP: #604505)
    - Use semi-transparent rectangle around launcher-icon (LP: #643388)
    - Fix mutter crashes when closing pop-up dialog (LP: #642669)
    - Change launcher icon reference size loading (LP: #641669)
    - Fix mutter crashing in mumble start (LP: #641335)
    - Fix clicking on a category from CoFs does not directly take you to the
      desired category (LP: #638402)
    - Fix some menus don't go away when window closes (LP: #640557)
    - Launchers should act like if the application was not focussed ...

Read more...

Changed in unity (Ubuntu):
status: Triaged → Fix Released
Hernando Torque (htorque) wrote :

I still can reproduce this with 0.2.42-0ubuntu3.

Same backtrace as in #5.

Changed in unity (Ubuntu):
status: Fix Released → New
Didier Roche (didrocks) on 2010-09-24
Changed in unity (Ubuntu):
status: New → Triaged
David Barth (dbarth) wrote :

@Hernando: did you upgrade your indicator-appmenu as well. There is a patch to prevent closed window to still be considered by appmenu, and without the patch you may still see the issue, even if the unity side is fixed.

You need to upgrade to the latest indicator-appmenu (0.0.13) or if you're on 0.0.12, check the changelog for a mention of a fix for this other bug: https://bugs.edge.launchpad.net/indicator-appmenu/+bug/645355

Hernando Torque (htorque) wrote :

Was using 0.0.12 which should contain the patch, updating to 0.0.13 didn't change a thing - still getting the crash.

David Barth (dbarth) wrote :

Ok, thanks for the confirmation.

Jack Leigh (leighman) wrote :

I just got this opening MS Word via wine on up-to-date Maverick

David Barth (dbarth) wrote :

The mutter/unity side of that bug seems fixed by Jason's patch. But users are still reporting the issue despite the changes. Neil thinks there is still a part of this issue that lies in dbusmenu. The backtrace shows that something is going on when dbusmenu deals with gtk accelerators.
@ted: can you investigate that part of the crasher? thanks

Changed in dbusmenu:
assignee: nobody → Ted Gould (ted)
importance: Undecided → High
milestone: none → ubuntu-10.10
status: New → Triaged
Ted Gould (ted) wrote :

I think this was fixed by the indicator-appmenu calling the dbusmenu function on a bad pointer. I'm marking as invalid for dbusmenu.

Changed in dbusmenu:
assignee: Ted Gould (ted) → nobody
milestone: ubuntu-10.10 → none
status: Triaged → Invalid
Neil J. Patel (njpatel) on 2010-12-01
Changed in unity:
status: Fix Committed → Fix Released
Sebastien Bacher (seb128) wrote :

closing, that version of unity is deprecated

Changed in unity (Ubuntu):
status: Triaged → Invalid
Changed in unity (Ubuntu):
status: Invalid → Fix Released
assignee: nobody → Neil J. Patel (njpatel)
dino99 (9d9) wrote :

maverick is well dead since a while

Changed in mutter (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers